Package com.io7m.idstore.server.service.templating

# Interface IdFMTemplateServiceType

All Superinterfaces:
  `com.io7m.repetoir.core.RPServiceType`

All Known Implementing Classes:
  `IdFMTemplateService`

public interface IdFMTemplateServiceType extends com.io7m.repetoir.core.RPServiceType
A service supplying freemarker templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdFMTemplateType<IdFMCSSData>`
  `cssTemplate()`
  `IdFMTemplateType<IdFMEmailPasswordResetData>`
  `emailPasswordResetTemplate()`
  `IdFMTemplateType<IdFMEmailTestData>`
  `emailTestTemplate()`
  `IdFMTemplateType<IdFMEmailVerificationData>`
  `emailVerificationTemplate()`
  `IdFMTemplateType<IdFMEmailAddData>`
  `pageEmailAddTemplate()`
  `IdFMTemplateType<IdFMLoginData>`
  `pageLoginTemplate()`
  `IdFMTemplateType<IdFMMessageData>`
  `pageMessage()`
  `IdFMTemplateType<IdFMPasswordResetConfirmData>`
  `pagePasswordResetConfirmTemplate()`
  `IdFMTemplateType<IdFMPasswordResetData>`
  `pagePasswordResetTemplate()`
  `IdFMTemplateType<IdFMPasswordUpdateData>`
  `pagePasswordUpdateTemplate()`
  `IdFMTemplateType<IdFMRealNameUpdateData>`
  `pageRealnameUpdateTemplate()`
  `IdFMTemplateType<IdFMUserSelfData>`
  `pageUserSelfTemplate()`

  ### Methods inherited from interface com.io7m.repetoir.core.RPServiceType

  `description`

- ## Method Details

  - ### pageLoginTemplate

    IdFMTemplateType<IdFMLoginData> pageLoginTemplate()
    Returns:
      The login form template

  - ### pageUserSelfTemplate

    IdFMTemplateType<IdFMUserSelfData> pageUserSelfTemplate()
    Returns:
      The user profile "self" template

  - ### emailVerificationTemplate

    IdFMTemplateType<IdFMEmailVerificationData> emailVerificationTemplate()
    Returns:
      The email verification template

  - ### emailPasswordResetTemplate

    IdFMTemplateType<IdFMEmailPasswordResetData> emailPasswordResetTemplate()
    Returns:
      The email password reset template

  - ### pageEmailAddTemplate

    IdFMTemplateType<IdFMEmailAddData> pageEmailAddTemplate()
    Returns:
      The email addition page template

  - ### pageMessage

    IdFMTemplateType<IdFMMessageData> pageMessage()
    Returns:
      The generic message page template

  - ### cssTemplate

    IdFMTemplateType<IdFMCSSData> cssTemplate()
    Returns:
      The main CSS template

  - ### pageRealnameUpdateTemplate

    IdFMTemplateType<IdFMRealNameUpdateData> pageRealnameUpdateTemplate()
    Returns:
      The realname update page template

  - ### pagePasswordUpdateTemplate

    IdFMTemplateType<IdFMPasswordUpdateData> pagePasswordUpdateTemplate()
    Returns:
      The password update page template

  - ### pagePasswordResetTemplate

    IdFMTemplateType<IdFMPasswordResetData> pagePasswordResetTemplate()
    Returns:
      The password reset page template

  - ### pagePasswordResetConfirmTemplate

    IdFMTemplateType<IdFMPasswordResetConfirmData> pagePasswordResetConfirmTemplate()
    Returns:
      The password reset form page template

  - ### emailTestTemplate

    IdFMTemplateType<IdFMEmailTestData> emailTestTemplate()
    Returns:
      The test email template